## dictdlib 1.0.0

=== debian/changelog ===
dictdlib (1.0.0) unstable; urgency=low

  * Initial release.  Closes: #143608.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Apr 2002 12:24:17 -0500

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified by John Goerzen

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

PYTHON=python2.2
PACKAGE=python2.2-dictdlib


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#$(PYTHON) setup.py configure

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(PYTHON) setup.py build
	#/usr/bin/docbook-to-man debian/pygopherd.sgml > pygopherd.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(PYTHON) setup.py clean --all

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pygopherd.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dictdlib 1.0.1

=== Makefile ===
doc:
	PYTHONPATH=`pwd` pydoc2.2 dictdlib > dictdlib.txt
	PYTHONPATH=`pwd` pydoc2.2 -w dictdlib

clean:
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.pyc"`

changelog:
	cvs2cl
	cvs commit ChangeLog
	rm ChangeLog.bak

=== debian/changelog ===
dictdlib (1.0.1) unstable; urgency=low

  * Fixed a braino in finish()

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Apr 2002 12:00:23 -0500

## dictdlib 1.0.2

=== debian/changelog ===
dictdlib (1.0.2) unstable; urgency=low

  * Fixed a bug with sorting.
  * New, faster sort algorithm.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Apr 2002 12:10:46 -0500

## dictdlib 1.0.4

=== debian/changelog ===
dictdlib (1.0.4) unstable; urgency=low

  * Added DictReader class.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Apr 2002 20:19:36 -0500

dictdlib (1.0.3) unstable; urgency=low

  * More adjustments to sort -- the docs for GNU's sort(1) were wrong,
    made our function bug-compatible.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Apr 2002 15:32:02 -0500

## dictdlib 2.0.0

=== debian/changelog ===
dictdlib (2.0.0) unstable; urgency=low

  * Rewrote interface; is now capable of updates.  New DictDB class.
  * DictReader and DictWriter are now "compatibility" classes that
    are implemented in terms of DictDB.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  2 May 2002 14:12:51 -0500

=== debian/control ===
Source: dictdlib
Section: interpreters
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>> 3.0.0), python2.2, python2.2-dev
Standards-Version: 3.5.2

Package: python2.2-dictdlib
Architecture: all
Depends: python2.2
Suggests: dictd
Description: Python library for generating dictd dictionaries
 This library is useful if you want to write Python programs that generate
 dictd dictionaries.

## dictdlib 2.0.1

=== debian/changelog ===
dictdlib (2.0.1) unstable; urgency=low

  * Fixed a bug with setlonginfo.  Closes: #146599, #146602.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 23 May 2002 16:17:28 -0500

## dictdlib 2.0.2

=== debian/changelog ===
dictdlib (2.0.2) unstable; urgency=low

  * Some bugfixes reported by <horst@freedict.de>

 -- John Goerzen <jgoerzen@complete.org>  Tue, 11 Jun 2002 15:06:52 -0500

## dictdlib 2.0.3

=== debian/changelog ===
dictdlib (2.0.3) unstable; urgency=low

  * Updated for Python 2.3.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Aug 2003 16:00:39 -0500

=== debian/control ===
Source: dictdlib
Section: interpreters
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>> 3.0.0), python2.3, python2.3-dev
Standards-Version: 3.5.2

Package: python2.3-dictdlib
Architecture: all
Depends: python2.3
Suggests: dictd
Description: Python library for generating dictd dictionaries
 This library is useful if you want to write Python programs that generate
 dictd dictionaries.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-PYTHON=python2.2
-PACKAGE=python2.2-dictdlib
+PYTHON=python2.3
+PACKAGE=python2.3-dictdlib
 
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))

## dictdlib 2.0.3ubuntu1

=== debian/changelog ===
dictdlib (2.0.3ubuntu1) hoary; urgency=low

  * Build for python2.4.

 -- Matthias Klose <m@klose.in-berlin.de>  Thu, 13 Jan 2005 23:22:16 +0100

=== debian/control ===
Source: dictdlib
Section: python
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>> 3.0.0), python2.4, python2.4-dev
Standards-Version: 3.5.2

Package: python2.4-dictdlib
Architecture: all
Depends: python2.4
Suggests: dictd
Description: Python library for generating dictd dictionaries
 This library is useful if you want to write Python programs that generate
 dictd dictionaries.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-PYTHON=python2.3
-PACKAGE=python2.3-dictdlib
+PYTHON=python2.4
+PACKAGE=python2.4-dictdlib
 
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))

## dictdlib 2.0.4

=== debian/changelog ===
dictdlib (2.0.4) unstable; urgency=high

  * Updated to the most recent Python policy.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 17 Nov 2006 06:45:27 -0600

=== debian/control ===
Source: dictdlib
Section: interpreters
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>> 5.0.37.2), python, python-dev (>= 2.3), python-all-dev (>= 2.3.5-11), python-central (>= 0.5)
Build-Depends: debhelper (>> 5.0.37.2), python-central (>= 0.5)
XS-Python-Version: >= 2.3
Standards-Version: 3.5.2

Package: python-dictdlib
Architecture: all
Conflicts: python2.3-dictdlib (<< 2.0.4)
Replaces: python2.3-dictdlib (<< 2.0.4)
Provides: ${python:Provides}
Depends: ${python:Depends}
XB-Python-Version: ${python:Versions}
Suggests: dictd
Description: Python library for generating dictd dictionaries
 This library is useful if you want to write Python programs that generate
 dictd dictionaries.

## dictdlib 2.0.4ubuntu1

=== debian/changelog ===
dictdlib (2.0.4ubuntu1) hardy; urgency=low

  * add missing conflicts/replaces against python2.4-dictdlib,
    this fixes a python-central failure on dapper->hardy upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Mar 2008 00:01:19 +0100

dictdlib (2.0.4build1) hardy; urgency=low

  * Rebuild with recent python-central.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Mar 2008 12:45:48 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 Package: python-dictdlib
 Architecture: all
-Conflicts: python2.3-dictdlib (<< 2.0.4)
-Replaces: python2.3-dictdlib (<< 2.0.4)
+Conflicts: python2.3-dictdlib (<< 2.0.4), python2.4-dictdlib
+Replaces: python2.3-dictdlib (<< 2.0.4), python2.4-dictdlib
 Provides: ${python:Provides}
 Depends: ${python:Depends}
 XB-Python-Version: ${python:Versions}

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
 
-PYTHON=python2.4
-PACKAGE=python2.4-dictdlib
+PYTHON=python
+PACKAGE=python-dictdlib
 
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -72,7 +71,7 @@
 	dh_testroot
 #	dh_installdebconf	
 	dh_installdocs
-	dh_installexamples
+	#dh_installexamples
 	dh_installmenu
 #	dh_installlogrotate
 #	dh_installemacsen
@@ -84,6 +83,8 @@
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
+	dh_pycentral
+	dh_python
 	dh_link
 	dh_strip
 	dh_compress

## dictdlib 2.0.4.1

=== debian/changelog ===
dictdlib (2.0.4.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490455.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:57:20 +0000

## dictdlib 2.0.4.1build1

=== debian/changelog ===
dictdlib (2.0.4.1build1) lucid; urgency=low

  * Rebuild dropping the extension for python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2010 22:05:06 +0000

## dictdlib 2.0.4.1ubuntu1

=== debian/changelog ===
dictdlib (2.0.4.1ubuntu1) precise; urgency=low

  * Build using dh_python2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Dec 2011 15:30:16 +0100

=== debian/control ===
Source: dictdlib
Section: interpreters
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>> 5.0.37.2), python, python-dev (>= 2.3), python-all-dev (>= 2.3.5-11)
Build-Depends: debhelper (>> 5.0.37.2)
XS-Python-Version: >= 2.3
Standards-Version: 3.5.2

Package: python-dictdlib
Architecture: all
Conflicts: python2.3-dictdlib (<< 2.0.4)
Replaces: python2.3-dictdlib (<< 2.0.4)
Provides: ${python:Provides}
Depends: ${python:Depends}
XB-Python-Version: ${python:Versions}
Suggests: dictd
Description: Python library for generating dictd dictionaries
 This library is useful if you want to write Python programs that generate
 dictd dictionaries.

=== debian/rules ===
--- 
+++ 
@@ -83,8 +83,7 @@
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
-	dh_pycentral
-	dh_python
+	dh_python2
 	dh_link
 	dh_strip
 	dh_compress

## dictdlib 2.0.4.1+nmu1

=== debian/changelog ===
dictdlib (2.0.4.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616790).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 27 May 2013 09:05:48 +0200

## dictdlib 2.0.4.1+nmu1build1

=== debian/changelog ===
dictdlib (2.0.4.1+nmu1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:03 +0000

=== debian/control ===
Source: dictdlib
Section: interpreters
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>> 5.0.37.2), python-all-dev (>= 2.6.6-3~)
Standards-Version: 3.5.2

Package: python-dictdlib
Architecture: all
Provides: ${python:Provides}
Depends: ${python:Depends}
Suggests: dictd
Description: Python library for generating dictd dictionaries
 This library is useful if you want to write Python programs that generate
 dictd dictionaries.

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 
 	# Add here commands to install the package into debian/pygopherd.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
-	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile
+	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile --install-layout=deb
 
 
 # Build architecture-dependent files here.

## dictdlib 2.0.4.1+nmu1ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,20 @@
+# Copyright (C) 2002 John Goerzen
+# <jgoerzen@complete.org>
+#
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 doc:
 	PYTHONPATH=`pwd` pydoc2.2 dictdlib > dictdlib.txt
 	PYTHONPATH=`pwd` pydoc2.2 -w dictdlib

=== debian/changelog ===
dictdlib (2.0.4.1+nmu1ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 14:50:38 +0100

dictdlib (2.0.4.1+nmu1build2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 18:56:28 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>> 5.0.37.2), python-all-dev (>= 2.6.6-3~)
+Build-Depends: debhelper (>> 5.0.37.2), python-all (>= 2.6.6-3~), dh-python
 Standards-Version: 3.5.2
 
 Package: python-dictdlib

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # This is the debhelper compatibility version to use.
 
-PYTHON=python
+PYTHON=python2
 PACKAGE=python-dictdlib
